import { defineStore } from 'pinia';
import { TLogin, TOrg, TRoleList } from "@/api/index.d";
import { roleList, orgAllList } from '@/api';

export const useCommonStore = defineStore('common', {
  state: () => {
    return {
      time: new Date(),
      user: <TLogin.IRes>{},
      roleList: <TRoleList[]>[],
      orgTree: <TOrg.IOrgRecordRes[]>[]
    };
  },
  getters: {},
  actions: {
    setTime() {
      this.time = new Date();
    },
    getRoleList() {
      roleList().then(res => {
        this.roleList = res
      })
    },
    getOrgAllList() {
      orgAllList().then(res => {
        this.orgTree = this.getTree(res)
      })
    },
    getTree(list) {
      list.forEach(item => {
        item.children = list.filter(i => i.parentId === item.id)
      });
      return list.filter(item => item.parentId == null)
    },
    setUser(data: TLogin.IRes) {
      this.user = data
    },
    clearStore() {
      this.$reset();
    }
  },
  persist: true
});
